
%define debug_package %{nil}
Name:    tezos-tx-rollup-node-PtLimaPt
Version: 16.0rc3
Release: 1
Epoch: 1
Summary: Tezos tx rollup node using PtLimaPt
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-tx-rollup-node-PtLimaPt-16.0rc3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v16.0-rc3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-client, tezos-node, tezos-sapling-params
%description
Tezos tx rollup node using PtLimaPt
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-tx-rollup-node-PtLimaPt
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-tx-rollup-node-PtLimaPt %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-tx-rollup-node-PtLimaPt %{buildroot}/%{_bindir}/tezos-tx-rollup-node-PtLimaPt



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-tx-rollup-node-ptlimapt.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-tx-rollup-node-ptlimapt.default %{buildroot}/%{_sysconfdir}/default/tezos-tx-rollup-node-ptlimapt

install -m 0755 tezos-tx-rollup-node-PtLimaPt-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-tx-rollup-node-PtLimaPt
%{_bindir}/tezos-tx-rollup-node-PtLimaPt

%{_bindir}/tezos-tx-rollup-node-PtLimaPt-start

%{_unitdir}/tezos-tx-rollup-node-ptlimapt.service

%{_sysconfdir}/default/tezos-tx-rollup-node-ptlimapt



%post
%systemd_post tezos-tx-rollup-node-ptlimapt.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-tx-rollup-node-ptlimapt.service


%postun
%systemd_postun_with_restart tezos-tx-rollup-node-ptlimapt.service



